> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proofy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete request

> Delete emails associated with request. Results will be lost.



## OpenAPI

````yaml DELETE /verify/batch/{id}
openapi: 3.0.3
info:
  title: Proofy Api
  description: Some text
  termsOfService: https://proofy.io/terms
  contact:
    email: support@proofy.io
  version: 1.1.0
servers:
  - url: https://apis.proofy.io/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Widget
    description: Everything about JS Widget
  - name: Single Email
    description: Single email check
  - name: Batch Emails
    description: Batch emails check
  - name: File upload
    description: Upload a file containing emails
paths:
  /verify/batch/{id}:
    delete:
      tags:
        - Batch emails
      description: Cancel and delete batch
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteResponse'
              example:
                message: Batch successfully deleted
        '400':
          $ref: '#/components/responses/HttpErrorResponse400'
        '401':
          $ref: '#/components/responses/HttpErrorResponse401'
        '404':
          $ref: '#/components/responses/HttpErrorResponse404'
        '422':
          $ref: '#/components/responses/HttpErrorResponse422'
        '429':
          $ref: '#/components/responses/HttpErrorResponse429'
        '500':
          $ref: '#/components/responses/HttpErrorResponse500'
components:
  schemas:
    DeleteResponse:
      type: object
      properties:
        message:
          type: string
  responses:
    HttpErrorResponse400:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Bad Request
    HttpErrorResponse401:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Unauthorized
    HttpErrorResponse404:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Not Found
    HttpErrorResponse422:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Unprocessable Entity
    HttpErrorResponse429:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Too Many Requests
    HttpErrorResponse500:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Internal Server Error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: api_key

````